package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_TWISTINGLY_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-04-24
 */
@SuppressWarnings("serial")
public class MchTwistinglyResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否热处理监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 公/母端 0-母端 1-公端
     */
    private String pipeEndMf = "";
    /**
     * 接箍炉号
     */
    private String couplingHeatNo = "";
    /**
     * 接箍批号
     */
    private String couplingLotNo = "";
    /**
     * 接箍个数
     */
    private String couplingNum = "";
    /**
     * J值最小值
     */
    private String jvalueMin = "";
    /**
     * 最小扭矩(台扇扭矩设定范围)
     */
    private String torquesSetMin = "";
    /**
     * 最大扭矩(台扇扭矩设定范围)
     */
    private String torquesSetMax = "";
    /**
     * 最小扭矩(控制范围)
     */
    private String torquesMin = "";
    /**
     * 最佳扭矩(控制范围)
     */
    private String torquesOpt = "";
    /**
     * 最大扭矩(控制范围)
     */
    private String torquesMax = "";
    /**
     * 扭矩曲线(路径)
     */
    private String torquesCurve = "";
    /**
     * 转速曲线(路径)
     */
    private String speedCurve = "";
    /**
     * 丝扣油型号
     */
    private String screwoilType = "";
    /**
     * 丝扣油批号
     */
    private String screwoilBachno = "";
    /**
     * 丝扣油用量
     */
    private String screwoilNum = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 作业支数
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 对顶合格
     */
    private String topqualified = "";
    /**
     * 最大拐点扭矩(控制范围)
     */
    private String turningTorquesMax = "";
    /**
     * 最小拐点扭矩(控制范围)
     */
    private String turningTorquesMin = "";
    /**
     * 合格支数
     */
    private String qualifiedNum = "";
    /**
     * 合格重量
     */
    private String qualifiedWt = "";
    /**
     * 返修支数
     */
    private String reProNum = "";
    /**
     * 返修重量
     */
    private String reProWt = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 责任人
     */
    private String responsible = "";
    /**
     * 扭矩单位
     */
    private String torquesUnit = "";
    /**
     * 最终合格支数
     */
    private String finalQualifiedNum = "";
    /**
     * 最终合格重量
     */
    private String finalQualifiedWt = "";
    /**
     * 报告地址
     */
    private String reportPath = "";
    /**
     * J值最大值
     */
    private String jvalueMax = "";
    /**
     * 接箍重量
     */
    private String couplingWt = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否热处理监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否热处理监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 公/母端 0-母端 1-公端
     * @return value
     */
    public String getPipeEndMf() {
        return pipeEndMf;
    }

    /**
     * 公/母端 0-母端 1-公端
     * @param pipeEndMf value
     */
    public void setPipeEndMf(String pipeEndMf) {
        this.pipeEndMf = pipeEndMf;
    }

    /**
     * 接箍炉号
     * @return value
     */
    public String getCouplingHeatNo() {
        return couplingHeatNo;
    }

    /**
     * 接箍炉号
     * @param couplingHeatNo value
     */
    public void setCouplingHeatNo(String couplingHeatNo) {
        this.couplingHeatNo = couplingHeatNo;
    }

    /**
     * 接箍批号
     * @return value
     */
    public String getCouplingLotNo() {
        return couplingLotNo;
    }

    /**
     * 接箍批号
     * @param couplingLotNo value
     */
    public void setCouplingLotNo(String couplingLotNo) {
        this.couplingLotNo = couplingLotNo;
    }

    /**
     * 接箍个数
     * @return value
     */
    public String getCouplingNum() {
        return couplingNum;
    }

    /**
     * 接箍个数
     * @param couplingNum value
     */
    public void setCouplingNum(String couplingNum) {
        this.couplingNum = couplingNum;
    }

    /**
     * J值最小值
     * @return value
     */
    public String getJvalueMin() {
        return jvalueMin;
    }

    /**
     * J值最小值
     * @param jvalueMin value
     */
    public void setJvalueMin(String jvalueMin) {
        this.jvalueMin = jvalueMin;
    }

    /**
     * 最小扭矩(台扇扭矩设定范围)
     * @return value
     */
    public String getTorquesSetMin() {
        return torquesSetMin;
    }

    /**
     * 最小扭矩(台扇扭矩设定范围)
     * @param torquesSetMin value
     */
    public void setTorquesSetMin(String torquesSetMin) {
        this.torquesSetMin = torquesSetMin;
    }

    /**
     * 最大扭矩(台扇扭矩设定范围)
     * @return value
     */
    public String getTorquesSetMax() {
        return torquesSetMax;
    }

    /**
     * 最大扭矩(台扇扭矩设定范围)
     * @param torquesSetMax value
     */
    public void setTorquesSetMax(String torquesSetMax) {
        this.torquesSetMax = torquesSetMax;
    }

    /**
     * 最小扭矩(控制范围)
     * @return value
     */
    public String getTorquesMin() {
        return torquesMin;
    }

    /**
     * 最小扭矩(控制范围)
     * @param torquesMin value
     */
    public void setTorquesMin(String torquesMin) {
        this.torquesMin = torquesMin;
    }

    /**
     * 最佳扭矩(控制范围)
     * @return value
     */
    public String getTorquesOpt() {
        return torquesOpt;
    }

    /**
     * 最佳扭矩(控制范围)
     * @param torquesOpt value
     */
    public void setTorquesOpt(String torquesOpt) {
        this.torquesOpt = torquesOpt;
    }

    /**
     * 最大扭矩(控制范围)
     * @return value
     */
    public String getTorquesMax() {
        return torquesMax;
    }

    /**
     * 最大扭矩(控制范围)
     * @param torquesMax value
     */
    public void setTorquesMax(String torquesMax) {
        this.torquesMax = torquesMax;
    }

    /**
     * 扭矩曲线(路径)
     * @return value
     */
    public String getTorquesCurve() {
        return torquesCurve;
    }

    /**
     * 扭矩曲线(路径)
     * @param torquesCurve value
     */
    public void setTorquesCurve(String torquesCurve) {
        this.torquesCurve = torquesCurve;
    }

    /**
     * 转速曲线(路径)
     * @return value
     */
    public String getSpeedCurve() {
        return speedCurve;
    }

    /**
     * 转速曲线(路径)
     * @param speedCurve value
     */
    public void setSpeedCurve(String speedCurve) {
        this.speedCurve = speedCurve;
    }

    /**
     * 丝扣油型号
     * @return value
     */
    public String getScrewoilType() {
        return screwoilType;
    }

    /**
     * 丝扣油型号
     * @param screwoilType value
     */
    public void setScrewoilType(String screwoilType) {
        this.screwoilType = screwoilType;
    }

    /**
     * 丝扣油批号
     * @return value
     */
    public String getScrewoilBachno() {
        return screwoilBachno;
    }

    /**
     * 丝扣油批号
     * @param screwoilBachno value
     */
    public void setScrewoilBachno(String screwoilBachno) {
        this.screwoilBachno = screwoilBachno;
    }

    /**
     * 丝扣油用量
     * @return value
     */
    public String getScrewoilNum() {
        return screwoilNum;
    }

    /**
     * 丝扣油用量
     * @param screwoilNum value
     */
    public void setScrewoilNum(String screwoilNum) {
        this.screwoilNum = screwoilNum;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 作业支数
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 对顶合格
     * @return value
     */
    public String getTopqualified() {
        return topqualified;
    }

    /**
     * 对顶合格
     * @param topqualified value
     */
    public void setTopqualified(String topqualified) {
        this.topqualified = topqualified;
    }

    /**
     * 最大拐点扭矩(控制范围)
     * @return value
     */
    public String getTurningTorquesMax() {
        return turningTorquesMax;
    }

    /**
     * 最大拐点扭矩(控制范围)
     * @param turningTorquesMax value
     */
    public void setTurningTorquesMax(String turningTorquesMax) {
        this.turningTorquesMax = turningTorquesMax;
    }

    /**
     * 最小拐点扭矩(控制范围)
     * @return value
     */
    public String getTurningTorquesMin() {
        return turningTorquesMin;
    }

    /**
     * 最小拐点扭矩(控制范围)
     * @param turningTorquesMin value
     */
    public void setTurningTorquesMin(String turningTorquesMin) {
        this.turningTorquesMin = turningTorquesMin;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getQualifiedNum() {
        return qualifiedNum;
    }

    /**
     * 合格支数
     * @param qualifiedNum value
     */
    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    /**
     * 合格重量
     * @return value
     */
    public String getQualifiedWt() {
        return qualifiedWt;
    }

    /**
     * 合格重量
     * @param qualifiedWt value
     */
    public void setQualifiedWt(String qualifiedWt) {
        this.qualifiedWt = qualifiedWt;
    }

    /**
     * 返修支数
     * @return value
     */
    public String getReProNum() {
        return reProNum;
    }

    /**
     * 返修支数
     * @param reProNum value
     */
    public void setReProNum(String reProNum) {
        this.reProNum = reProNum;
    }

    /**
     * 返修重量
     * @return value
     */
    public String getReProWt() {
        return reProWt;
    }

    /**
     * 返修重量
     * @param reProWt value
     */
    public void setReProWt(String reProWt) {
        this.reProWt = reProWt;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 责任人
     * @return value
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * 责任人
     * @param responsible value
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * 扭矩单位
     * @return value
     */
    public String getTorquesUnit() {
        return torquesUnit;
    }

    /**
     * 扭矩单位
     * @param torquesUnit value
     */
    public void setTorquesUnit(String torquesUnit) {
        this.torquesUnit = torquesUnit;
    }

    /**
     * 最终合格支数
     * @return value
     */
    public String getFinalQualifiedNum() {
        return finalQualifiedNum;
    }

    /**
     * 最终合格支数
     * @param finalQualifiedNum value
     */
    public void setFinalQualifiedNum(String finalQualifiedNum) {
        this.finalQualifiedNum = finalQualifiedNum;
    }

    /**
     * 最终合格重量
     * @return value
     */
    public String getFinalQualifiedWt() {
        return finalQualifiedWt;
    }

    /**
     * 最终合格重量
     * @param finalQualifiedWt value
     */
    public void setFinalQualifiedWt(String finalQualifiedWt) {
        this.finalQualifiedWt = finalQualifiedWt;
    }

    /**
     * 报告地址
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 报告地址
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    /**
     * J值最大值
     * @return value
     */
    public String getJvalueMax() {
        return jvalueMax;
    }

    /**
     * J值最大值
     * @param jvalueMax value
     */
    public void setJvalueMax(String jvalueMax) {
        this.jvalueMax = jvalueMax;
    }

    /**
     * 接箍重量
     * @return value
     */
    public String getCouplingWt() {
        return couplingWt;
    }

    /**
     * 接箍重量
     * @param couplingWt value
     */
    public void setCouplingWt(String couplingWt) {
        this.couplingWt = couplingWt;
    }
}